<%--
Copyright (C) 2004-2006  Autodesk, Inc.
This library is free software; you can redistribute it and/or
modify it under the terms of version 2.1 of the GNU Lesser
General Public License as published by the Free Software Foundation.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--%>

<%@ Page Language="C#" Debug="true" %>
<%@ Import Namespace="System" %>
<%@ Import Namespace="OSGeo.MapGuide" %>
<!-- #Include File="utilityfunctions.aspx" -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
    <head>
        <title>Gen Image of Map</title>
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <meta http-equiv="content-script-type" content="text/javascript" />
        <meta http-equiv="content-style-type" content="text/css" />
    </head>

    <body>

    <h1>Check File System for Image</h1>

    <%
        String mgSessionId = GetParameters()["SESSION"];
        bool mapUpdated = false;

        try
        {
            // Initialize the web-tier and connect to the Tux Site using
            // the Tux session retrieved from the query string.
            

	    InitializeWebTier();
	   
            MgUserInformation userInfo = new MgUserInformation(mgSessionId);
            MgSiteConnection siteConnection = new MgSiteConnection();
            siteConnection.Open(userInfo);

            // Initialize variables to be used in this script and create
            // instances of a FeatureService and ResourceService objects.

            MgResourceService resourceService = siteConnection.CreateService(MgServiceType.ResourceService) as MgResourceService;
            MgFeatureService featureService = siteConnection.CreateService(MgServiceType.FeatureService) as MgFeatureService;
	    MgRenderingService renderingSrvc = siteConnection.CreateService(MgServiceType.RenderingService) as MgRenderingService;

	    // Set up map
            MgMap map = new MgMap();
            map.Open(resourceService,ConfigurationManager.AppSettings["MapName"]);

	    MgEnvelope extent = map.GetMapExtent();

	    MgSelection selection = new MgSelection(map);
	    selection.Open(resourceService, ConfigurationManager.AppSettings["MapName"]);
	    MgColor color = new MgColor("FFFFFBF20");

 	    MgByteReader byteReader1 = renderingSrvc.RenderMap(map, selection,extent, 400, 600, color, "PNG");
	    MgByteSink byteSink = new MgByteSink(byteReader1);
	    byteSink.ToFile("C:\\TEMP\\my.png");

        }
        catch (MgException mge)
        {
            Response.Write(mge.GetMessage());
            Response.Write(mge.GetDetails());
        }

    %>
    <br>

</body>

</html>
